API ReferenceProjects

Delete and generate new API key for projectv3.1

POST
/api/v3.1/org/owner/project/{nano_id}/regenerate_api_key

Generates a new API key for the specified project, invalidating any existing API keys for that project. This operation creates a fresh API key with a new random name and key value. All existing API keys for this project will be marked as deleted.

Authorization

OrgApiKeyAuth
x-org-api-key<token>

Organization API key authentication

In: header

Path Parameters

nano_idstringRequired

Unique identifier (Nano ID) of the project to regenerate API key for

Format: projectId

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v3.1/org/owner/project/pr_1a2b3c4d5e6f/regenerate_api_key"
{  "api_key": {    "id": "01H4DKRF5SMP7NQCA3BWT0JYB6",    "name": "epic_avatar",    "key": "ak_a1b2c3d4e5f6g7h8i9j0",    "created_at": "2023-05-16T14:30:00.000Z"  },  "message": "API key regenerated successfully"}